[*.{kt,kts}]
ktlint_code_style = ktlint_official
ktlint_function_naming_ignore_when_annotated_with = Composable
ktlint_standard_filename = disabled
ktlint_standard_max-line-length = 140
ktlint_standard_multiline-expression-wrapping = disabled
ktlint_standard_backing-property-naming = disabled
ktlint_standard_function-naming = disabled
ktlint_standard_chain-method-continuation = disabled
ktlint_standard_function-signature = disabled
ktlint_chain_method_rule_force_multiline_when_chain_operator_count_greater_or_equal_than = 6

[**/build/**]
generated_code = true
ij_formatter_enabled = false
ktlint = disabled
